Package org.eclipse.cdt.core.build

## Class ScannerInfoCache

- java.lang.Object
- - org.eclipse.cdt.core.build.ScannerInfoCache

    public class ScannerInfoCache
    extends Object

Scanner info for a given build configuration.

Since:
  6.1

### Constructor Summary

Constructors
`ScannerInfoCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResource​(List<String> commandStrings, org.eclipse.core.resources.IResource resource)`
`void` `addScannerInfo​(List<String> commandStrings, IExtendedScannerInfo info, org.eclipse.core.resources.IResource resource)`
`IExtendedScannerInfo` `getScannerInfo​(List<String> commandStrings)`
`IExtendedScannerInfo` `getScannerInfo​(org.eclipse.core.resources.IResource resource)`
`boolean` `hasCommand​(List<String> commandStrings)`
`boolean` `hasResource​(List<String> commandStrings, org.eclipse.core.resources.IResource resource)`
`void` `initCache()` Initialize the cache of scanner info.
`void` `removeCommand​(List<String> commandStrings)`
`void` `removeResource​(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScannerInfoCache

    public ScannerInfoCache()

### Method Detail

#### initCache

    public void initCache()

Initialize the cache of scanner info. Call this after loading this info using Gson.

#### getScannerInfo

    public IExtendedScannerInfo getScannerInfo​(org.eclipse.core.resources.IResource resource)

#### getScannerInfo

    public IExtendedScannerInfo getScannerInfo​(List<String> commandStrings)

#### hasCommand

    public boolean hasCommand​(List<String> commandStrings)

#### addScannerInfo

    public void addScannerInfo​(List<String> commandStrings,
                               IExtendedScannerInfo info,
                               org.eclipse.core.resources.IResource resource)

#### hasResource

    public boolean hasResource​(List<String> commandStrings,
                               org.eclipse.core.resources.IResource resource)

Since:
  6.3

#### addResource

    public void addResource​(List<String> commandStrings,
                            org.eclipse.core.resources.IResource resource)

#### removeResource

    public void removeResource​(org.eclipse.core.resources.IResource resource)

Since:
  6.4

#### removeCommand

    public void removeCommand​(List<String> commandStrings)

Since:
  6.4